org.apache.tomcat.util.modeler.modules

## Class ModelerSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource

Direct Known Subclasses:
  MbeansDescriptorsDigesterSource, MbeansDescriptorsIntrospectionSource

    public abstract class ModelerSource
    extends Object

Source for descriptor data. More sources can be added.

### Field Summary

Fields
`protected static StringManager` `sm`
`protected Object` `source`

### Constructor Summary

Constructors
Constructor and Description
`ModelerSource()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract List<ObjectName>` `loadDescriptors(Registry registry, String type, Object source)` Load data, returns a list of items.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

#### source

    protected Object source

### Constructor Detail

#### ModelerSource

    public ModelerSource()

### Method Detail

#### loadDescriptors

    public abstract List<ObjectName> loadDescriptors(Registry registry,
                                                     String type,
                                                     Object source)
                                              throws Exception

Load data, returns a list of items.

Parameters:
  `registry` - The registry
  `type` - The bean registry type
  `source` - Introspected object or some other source
Returns:
  a list of object names
Throws:
  `Exception` - Error loading descriptors